Name:          python-cups
Version:       1.9.74
Release:       1mamba
Summary:       A set of Python bindings for the CUPS API
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://cyberelk.net/tim/software/pycups/
Source:        https://pypi.debian.net/pycups/pycups-%{version}.tar.bz2
#Source:        http://cyberelk.net/tim/data/pycups/pycups-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcups-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
Provides:      python-pycups
Obsoletes:     python-pycups
Provides:      pycups
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
pycups is a set of Python bindings for the CUPS API.
It was written for use with system-config-printer, but can be put to other uses as well.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       A set of Python bindings for the CUPS API
%py_requires

%description py%{pyver}
pycups is a set of Python bindings for the CUPS API.
It was written for use with system-config-printer, but can be put to other uses as well.
%endif

%prep
%setup -q -n pycups-%{version}

%build
##CFLAGS="%{optflags}" python setup.py build
%make
%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%if "%?with_pyver"
%files py%{pyver}
%defattr(-,root,root)
%{python_sitearch}/cups.*.so
%else
%files
%defattr(-,root,root)
%{python_sitearch}/cups.so
%endif
%{python_sitearch}/pycups-*-py%{python_version}.egg-info
%doc COPYING
#NEWS README TODO 

%changelog
* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.74-1mamba
- update to 1.9.74

* Sat Mar 02 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.73-2mamba
- move packages from python_sitelib to _sitearch

* Fri Dec 21 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.73-1mamba
- update to 1.9.73

* Thu Nov 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.68-1mamba
- update to 1.9.68

* Sat Nov 30 2013 Automatic Build System <autodist@mambasoft.it> 1.9.66-1mamba
- automatic update by autodist

* Fri Jul 05 2013 Automatic Build System <autodist@mambasoft.it> 1.9.63-1mamba
- automatic version update by autodist

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.62-2mamba
- python 2.7 mass rebuild

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.9.62-1mamba
- automatic version update by autodist

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 1.9.61-1mamba
- automatic version update by autodist

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 1.9.57-1mamba
- automatic update by autodist

* Tue Jun 29 2010 Automatic Build System <autodist@mambasoft.it> 1.9.51-1mamba
- automatic update by autodist

* Sun Jun 20 2010 Automatic Build System <autodist@mambasoft.it> 1.9.50-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.9.47-1mamba
- automatic update by autodist

* Sat Jun 20 2009 Automatic Build System <autodist@mambasoft.it> 1.9.46-1mamba
- automatic update by autodist

* Tue Feb 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.45-1mamba
- automatic update by autodist

* Sat Dec 06 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.44-1mamba
- update to 1.9.44
- rename to python-cups

* Wed Oct 15 2008 gil <puntogil@libero.it> 1.9.42-1mamba
- package created by autospec
